View Issue Details

IDProjectCategoryView StatusLast Update
0002652Industrial-Craft²general / otherpublic2020-03-22 22:18
ReporterFrogKnowledgeAssigned ToChocohead 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionwon't fix 
PlatformOSWindows 10OS Version1903 (18362.719)
Product Version 
Target VersionFixed in Version 
Summary0002652: Crash when world is loading
Descriptionwhen i run the world i get an error
Steps To Reproducerun the world
Additional InformationI already had such a mistake. In the past world, I dismantled the energy storage of the first level, after which, after a couple of seconds, I got an error. After that, every time I start the world, I get an error. In the current world (created in the hope of avoiding a bug), I dismantled a second-level energy storage (with energy) and put a third-level energy storage. Two minutes later, I got a game crash, with the same consequences - the world does not start.(this bug on all versions of IC2)
Tags1.12.2, Crush
Minecraft Version1.12.2

Activities

FrogKnowledge

2020-03-18 17:44

reporter  

crash-2020-03-18_20.17.04-server.txt (12,749 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  CreativePatchingLoader (CreativeCore_v1.10.2_mc1.12.2.jar)
  TLSkinCapeHookLoader (tlskincape_1.12.2-1.4.jar)
  LoadingPlugin (Xaeros_Minimap_20.3.0_Forge_1.12.jar)
Contact their authors BEFORE contacting forge

// Don't do that.

Time: 3/18/20 8:17 PM
Description: Ticking player

java.lang.NullPointerException: Ticking player
	at ic2.core.block.BlockTileEntity.func_149688_o(BlockTileEntity.java:473)
	at net.journey.event.PlayerEvent.onTick(PlayerEvent.java:96)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_437_PlayerEvent_onTick_PlayerTickEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:182)
	at net.minecraftforge.fml.common.FMLCommonHandler.onPlayerPreTick(FMLCommonHandler.java:365)
	at net.minecraft.entity.player.EntityPlayer.func_70071_h_(EntityPlayer.java:190)
	at net.minecraft.entity.player.EntityPlayerMP.func_71127_g(EntityPlayerMP.java:382)
	at net.minecraft.network.NetHandlerPlayServer.func_73660_a(NetHandlerPlayServer.java:173)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher$1.func_73660_a(NetworkDispatcher.java:209)
	at net.minecraft.network.NetworkManager.func_74428_b(NetworkManager.java:285)
	at net.minecraft.network.NetworkSystem.func_151269_c(NetworkSystem.java:180)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:790)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:668)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:279)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:526)
	at java.lang.Thread.run(Unknown Source)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Server thread
Stacktrace:
	at ic2.core.block.BlockTileEntity.func_149688_o(BlockTileEntity.java:473)
	at net.journey.event.PlayerEvent.onTick(PlayerEvent.java:96)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_437_PlayerEvent_onTick_PlayerTickEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:182)
	at net.minecraftforge.fml.common.FMLCommonHandler.onPlayerPreTick(FMLCommonHandler.java:365)
	at net.minecraft.entity.player.EntityPlayer.func_70071_h_(EntityPlayer.java:190)

-- Player being ticked --
Details:
	Entity Type: null (net.minecraft.entity.player.EntityPlayerMP)
	Entity ID: 361
	Entity Name: Vlad
	Entity's Exact location: 384.63, 94.69, 59.33
	Entity's Block location: World: (384,94,59), Chunk: (at 0,5,11 in 24,3; contains blocks 384,0,48 to 399,255,63), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Entity's Momentum: 0.00, -0.08, 0.00
	Entity's Passengers: []
	Entity's Vehicle: ~~ERROR~~ NullPointerException: null
Stacktrace:
	at net.minecraft.entity.player.EntityPlayerMP.func_71127_g(EntityPlayerMP.java:382)
	at net.minecraft.network.NetHandlerPlayServer.func_73660_a(NetHandlerPlayServer.java:173)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher$1.func_73660_a(NetworkDispatcher.java:209)
	at net.minecraft.network.NetworkManager.func_74428_b(NetworkManager.java:285)

-- Ticking connection --
Details:
	Connection: net.minecraft.network.NetworkManager@2926b2da
Stacktrace:
	at net.minecraft.network.NetworkSystem.func_151269_c(NetworkSystem.java:180)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:790)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:668)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:279)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:526)
	at java.lang.Thread.run(Unknown Source)

-- System Details --
Details:
	Minecraft Version: 1.12.2
	Operating System: Windows 8.1 (amd64) version 6.3
	Java Version: 1.8.0_45, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 1605720976 bytes (1531 MB) / 4021456896 bytes (3835 MB) up to 7177764864 bytes (6845 MB)
	JVM Flags: 3 total; -Xmn128M -Xmx6858M -XX:+UseConcMarkSweepGC
	IntCache: cache: 0, tcache: 0, allocated: 14, tallocated: 94
	FML: MCP 9.42 Powered by Forge 14.23.5.2847 Optifine OptiFine_1.12.2_HD_U_F4 43 mods loaded, 43 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored

	| State  | ID                         | Version           | Source                                          | Signature                                |
	|:------ |:-------------------------- |:----------------- |:----------------------------------------------- |:---------------------------------------- |
	| LCHIJA | minecraft                  | 1.12.2            | minecraft.jar                                   | None                                     |
	| LCHIJA | mcp                        | 9.42              | minecraft.jar                                   | None                                     |
	| LCHIJA | FML                        | 8.0.99.99         | forge-1.12.2-14.23.5.2847.jar                   | None                                     |
	| LCHIJA | forge                      | 14.23.5.2847      | forge-1.12.2-14.23.5.2847.jar                   | None                                     |
	| LCHIJA | creativecoredummy          | 1.0.0             | minecraft.jar                                   | None                                     |
	| LCHIJA | xaerominimap_core          | 1.12.2-1.0        | minecraft.jar                                   | None                                     |
	| LCHIJA | bspkrscore                 | 7.6.0.1           | [1.12]bspkrsCore-universal-7.6.0.1.jar          | None                                     |
	| LCHIJA | treecapitator              | 1.43.0            | [1.12]TreeCapitator-client-1.43.0.jar           | None                                     |
	| LCHIJA | baubles                    | 1.5.2             | Baubles-1.12-1.5.2.jar                          | None                                     |
	| LCHIJA | betternether               | 0.1.8.6           | betternether-0.1.8.6.jar                        | None                                     |
	| LCHIJA | jei                        | 4.15.0.293        | jei_1.12.2-4.15.0.293.jar                       | None                                     |
	| LCHIJA | thaumcraft                 | 6.1.BETA26        | Thaumcraft-1.12.2-6.1.BETA26.jar                | None                                     |
	| LCHIJA | botania                    | r1.10-363         | Botania+r1.10-363.jar                           | None                                     |
	| LCHIJA | buildcraftlib              | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | buildcraftcore             | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | buildcraftbuilders         | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | buildcrafttransport        | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | buildcraftsilicon          | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | buildcraftenergy           | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | ic2                        | 2.8.196-ex112     | industrialcraft-2-2.8.196-ex112.jar             | de041f9f6187debbc77034a344134053277aa3b0 |
	| LCHIJA | forestry                   | 5.8.2.418         | forestry_1.12.2-5.8.2.418.jar                   | None                                     |
	| LCHIJA | buildcraftcompat           | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | buildcraftfactory          | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | buildcraftrobotics         | 7.99.24.5         | buildcraft-all-7.99.24.5.jar                    | None                                     |
	| LCHIJA | codechickenlib             | 3.2.3.358         | CodeChickenLib_1.12.2_3.2.3.358_universal.jar   | f1850c39b2516232a2108a7bd84d1cb5df93b261 |
	| LCHIJA | redstoneflux               | 2.1.0             | RedstoneFlux-1.12-2.1.0.6-universal.jar         | 8a6abf2cb9e141b866580d369ba6548732eff25f |
	| LCHIJA | cofhcore                   | 4.6.3             | CoFHCore-1.12.2-4.6.3.27-universal.jar          | None                                     |
	| LCHIJA | cofhworld                  | 1.3.1             | CoFHWorld-1.12.2-1.3.1.7-universal.jar          | 8a6abf2cb9e141b866580d369ba6548732eff25f |
	| LCHIJA | opframe                    | 1.4.0             | OnlinePicFrame_v1.4.35_mc1.12.2.jar             | None                                     |
	| LCHIJA | creativecore               | 1.10.0            | CreativeCore_v1.10.2_mc1.12.2.jar               | None                                     |
	| LCHIJA | cucumber                   | 1.1.3             | Cucumber-1.12.2-1.1.3.jar                       | None                                     |
	| LCHIJA | durabilityshow             | 5.0.0             | Durability+Show-1.12-5.0.0.jar                  | None                                     |
	| LCHIJA | waila                      | 1.8.23            | Hwyla-1.8.23-B38_1.12.jar                       | None                                     |
	| LCHIJA | ironchest                  | 1.12.2-7.0.67.844 | ironchest_1.12.2_7.0.67.844.jar                 | None                                     |
	| LCHIJA | journey                    | 1.0.5.3           | journey-1.0.5.3.jar                             | None                                     |
	| LCHIJA | mysticalagriculture        | 1.7.5             | MysticalAgriculture-1.12.2-1.7.5.jar            | None                                     |
	| LCHIJA | thermalfoundation          | 2.6.3             | ThermalFoundation-1.12.2-2.6.3.27-universal.jar | 8a6abf2cb9e141b866580d369ba6548732eff25f |
	| LCHIJA | thermalexpansion           | 5.5.4             | ThermalExpansion-1.12.2-5.5.4.43-universal.jar  | 8a6abf2cb9e141b866580d369ba6548732eff25f |
	| LCHIJA | tlauncher_custom_cape_skin | 1.4               | tlskincape_1.12.2-1.4.jar                       | None                                     |
	| LCHIJA | twilightforest             | 3.10.1013         | twilightforest-1.12.2-3.10.1013-universal.jar   | None                                     |
	| LCHIJA | wailaharvestability        | 1.1.12            | WailaHarvestability_mc1.12_1.1.12.jar           | None                                     |
	| LCHIJA | waystones                  | 4.1.0             | waystones_1.12.2-4.1.0.jar                      | None                                     |
	| LCHIJA | xaerominimap               | 20.3.0            | Xaeros_Minimap_20.3.0_Forge_1.12.jar            | None                                     |

	Loaded coremods (and transformers): 
CreativePatchingLoader (CreativeCore_v1.10.2_mc1.12.2.jar)
  
TLSkinCapeHookLoader (tlskincape_1.12.2-1.4.jar)
  gloomyfolken.hooklib.minecraft.PrimaryClassTransformer
LoadingPlugin (Xaeros_Minimap_20.3.0_Forge_1.12.jar)
  xaero.common.core.transformer.ChunkTransformer
  xaero.common.core.transformer.NetHandlerPlayClientTransformer
	GL info: ~~ERROR~~ RuntimeException: No OpenGL context found in the current thread.
	Profiler Position: N/A (disabled)
	Player Count: 1 / 8; [EntityPlayerMP['Vlad'/361, l='Ind_Magic2', x=384.63, y=94.69, z=59.33]]
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	OptiFine Version: OptiFine_1.12.2_HD_U_F4
	OptiFine Build: 20191023-234904
	Render Distance Chunks: 4
	Mipmaps: 4
	Anisotropic Filtering: 1
	Antialiasing: 0
	Multitexture: false
	Shaders: null
	OpenGlVersion: 4.6.0 - Build 26.20.100.7263
	OpenGlRenderer: Intel(R) HD Graphics 520
	OpenGlVendor: Intel
	CpuCount: 4

Chocohead

2020-03-22 22:18

developer   ~0006192

This is a systemic bug in Journey into the Light, it shouldn't be passing a null state to blocks to get their material.

It will be fixed once this is merged: https://github.com/TheSlayerMC/Journey-Into-The-Light/pull/19

Issue History

Date Modified Username Field Change
2020-03-18 17:44 FrogKnowledge New Issue
2020-03-18 17:44 FrogKnowledge Tag Attached: 1.12.2
2020-03-18 17:44 FrogKnowledge Tag Attached: Crush
2020-03-18 17:44 FrogKnowledge File Added: crash-2020-03-18_20.17.04-server.txt
2020-03-22 22:18 Chocohead Assigned To => Chocohead
2020-03-22 22:18 Chocohead Status new => resolved
2020-03-22 22:18 Chocohead Resolution open => won't fix
2020-03-22 22:18 Chocohead Note Added: 0006192